package type;
public class DateHelper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_struct_tc(id(),"Date",new org.omg.CORBA.StructMember[]{new org.omg.CORBA.StructMember("day",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(2)),null),new org.omg.CORBA.StructMember("month",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(2)),null),new org.omg.CORBA.StructMember("year",org.omg.CORBA.ORB.init().get_primitive_tc(org.omg.CORBA.TCKind.from_int(2)),null)});
	public DateHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, type.Date s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static type.Date extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:type/Date:1.0";
	}
	public static type.Date read(org.omg.CORBA.portable.InputStream in)
	{
		type.Date result = new type.Date();
		result.day=in.read_short();
		result.month=in.read_short();
		result.year=in.read_short();
		return result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream out, type.Date s)
	{
out.write_short(s.day);
out.write_short(s.month);
out.write_short(s.year);
	}
}
